Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.Powerlevel (grizzly v7.4.2)

"Powerlevel" Command Class

The Powerlevel Command Class defines RF transmit power controlling Commands useful when installing or testing a network. The Commands makes it possible for supporting controllers to set/get the RF transmit power level of a node and test specific links between nodes with a specific RF transmit power level.

# Summary

## Types

power_level()
status_of_operation()

## Functions

power_level_from_byte(byte)
power_level_to_byte(atom)
status_of_operation_from_byte(byte)
status_of_operation_to_byte(atom)

# Types

Link to this type

# power_level()

View Source

    @type power_level() ::
      :normal_power
      | :minus1dBm
      | :minus2dBm
      | :minus3dBm
      | :minus4dBm
      | :minus5dBm
      | :minus6dBm
      | :minus7dBm
      | :minus8dBm
      | :minus9dBm

Link to this type

# status_of_operation()

View Source

    @type status_of_operation() :: :test_failed | :test_success | :test_in_progress

# Functions

Link to this function

# power_level_from_byte(byte)

View Source
Link to this function

# power_level_to_byte(atom)

View Source
Link to this function

# status_of_operation_from_byte(byte)

View Source
Link to this function

# status_of_operation_to_byte(atom)

View Source